Pycharm'a Python 3.9 kuramadım

Merhaba,

Python 3.9’u sitesinden yükledim, bilgisayarıma kurdum (Mac), ama Pycharm community edition menüsünde seçenek olarak gözükmüyor. Yardımcı olabilir misiniz? Teşekkür ederim.

Merhabalar

show all

tıklayın
sağda bir

+

işareti var ona tıklayın
sonra pythonun .exe olan dosya yolunu yazın tabi bu 3.9 için
bunun gibi mesela

C:\Users\Güçlü\AppData\Local\Programs\Python\Python38\python.exe

PyCharm’ın sağ alt köşesinde gördüğünüz kilit simgesi yanındaki ifadeye tıklayın. Sizdeki PyCharm ekranında bu ifadenin (pythonProject5) olduğu görünüyor. Bu ifadeye tıkladıktan sonra Add Interpreter isimli tıklanabilir bir yazı görmeniz gerekiyor. Bu yazıya tıklayın. Başlığı Add Python Interpreter isminde olan bir pencere açılır. Açılan pencerenin sol kısmında System Interpreter isimli sekmeye gelin ve Interpreter kısmında yer alan kısma tıklayın, Python3.9’un orada listeleniyor olması lazım. Listelenmiyorsa, bu Interpreter isimli kısmın sağında yer alan ... ifadesinden Python3.9’un kurulu olduğu yere gidin (Örneğin: /usr/bin/python3.9). Sonra bu Python versiyonunu seçtikten sonra OK tuşuna basın.

tabi sizin sürüm 3.9 olduğu için Python39 olması lazım

OK’e tıklanamıyor?

Python 3.9 folder’ının yerini değiştirerek deneyeyim dedim, şu uyarı çıktı:

Klasör adını değil, yorumlayıcıyı bulmanız lazım. whereis komutu çalışıyor mu MAC’te?

whereis python3.9

Python 3.9’un bulunduğu dosya yolundan yapmak istedim, “Macintosh read-only” vs. diye bir uyarı çıktı. Python 3.9’u Users’a kopyaladım. Oradan denedim. Virtualenv Environment kısmında şöyle. OK’e tıklanamıyor.

system interpreter kısmında da OK’e tıklanamıyor.

Yorumlayıcıyı System Interpreter’dan yükleyeceksiniz. Bakın orada Base interpreter diye bir ifade var. Onun yanında da /usr/bin/python3 yazıyor. Muhtemelen Python3.9, /usr/bin klasöründe bulunuyor.

Tıklanmaz çünkü siz klasör seçiyorsunuz, yorumlayıcıyı seçmeniz gerekiyor.

/usr/bin klasörüne baktım, 3.9 gözükmüyor.

Python 3.9 klasörünün alt seçeneklerine bakıyorum. Hangisini seçmem lazım?

Peki, komut satırına whereis python3.9 yazınca nasıl bir çıktı alıyorsunuz?

Python’ı doğru bir şekilde yüklediğinizden emin misiniz?

Şu an biraz işlerim var. O yüzden ilgilenemeyeceğim. Yardıma ihtiyacınız olduğunda belki diğer arkadaşlar yardımcı olabilirler. İyi günler.

Xcode’un yeni sürümünü yüklüyorum. Verdiğiniz linkte söylenenleri denedikten sonra sonucu bildireceğim. Cevaplarınız için teşekkür ederim.

Pycharm’ı kapatıp açtım. Create new project dedikten sonra, base interpreter kısmında ta aşağılarda 3.9’lu bir seçenek varmış. Onu seçtim. Çözüldü gibi görünüyor. Başka bir sorun yaşarsam tekrar sorarım. Cevaplarınız için çok teşekkür ederim.